local vector2 = require("#microsoft.xna.framework.vector2")
local exCameraHelper = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")
local cameraFocus = require("#Celeste.Mod.ExCameraDynamics.Code.Entities.CameraFocus")
local cameraZoomHooks = require("#Celeste.Mod.ExCameraDynamics.Code.Hooks.CameraZoomHooks")

function onBegin()

    disableMovement()
    disablePause ()

    --local level = getLevel()
    --coroutine.yield(exCameraHelper.Level_ZoomToFocus(level, vector2(1936, 4324), 2, 0.001)

    wait(1)
    walkTo (1933, false, 0.6, false)
    wait(1)
    player.DummyAutoAnimate = false
    player.Sprite:Play("lookUp")
    wait(1.5)
    setDarkness(0.3)
    setBloomStrength(0.5)

    local level = getLevel()
    cameraZoomHooks.ForceCameraTo(level, cameraFocus.FromCenter(vector2(2360, 4328), 1))
    teleportTo(2360, 4392, "feel_05")

    enableMovement()
    enablePause ()
    endCutscene ()
	

end